<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- eug-21 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#ffffff">
    <tr>
      <td width="229"><img src="images/header0.jpg" width="229" height="54" alt="" /></td>
      <td></td>
      <td align="left" width="100%">
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
           <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
    </tr>
    <tr>
      <td><img src="images/header.jpg" width="229" height="193" alt="" /></td>
      <td width="112"><img src="images/00_11.jpg" width="112" height="193" alt="" /></td>
      <td width="100%" align="left" background="images/00_13.jpg">
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="193" align="right" valign="top" style="background-image: url(images/00_12.jpg);
	background-repeat: no-repeat;padding-top: 25px; ">
<!-- LOGO -->
		<table border="0" cellpadding="0" cellspacing="10">
            <tr>
              <td align="left" class="slogan" width="200"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              <td height="80" align="right" width="280" style="padding-top:4px;padding-right:22px;background-image:url();background-position:right;background-repeat:no-repeat">
			  	<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
					<tr>
						<td width="100%">
						  <table  border="0" cellpadding="0" cellspacing="0" align="right">
			                <tr>
			                  <td width="3" height="3" align="left" valign="top"><img src="images/cnlt.gif" width="3" height="3"/></td>
			                  <td bgcolor="#FFFFFF"></td>
			                  <td align="right" valign="top"><img src="images/cnrt.gif" width="3" height="3"/></td>
			                </tr>
			                <tr>
			                  <td bgcolor="#FFFFFF"></td>
			                  <td bgcolor="#FFFFFF" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			                  <td bgcolor="#FFFFFF"></td>
			                </tr>
			                <tr>
			                  <td align="left" valign="bottom"><img src="images/cnlb.gif" width="3" height="3"/></td>
			                  <td bgcolor="#FFFFFF"></td>
			                  <td align="right" valign="bottom"><img src="images/cnrb.gif" width="3" height="3"/></td>
			                </tr>
			              </table>
						</td>
						<td><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
					</tr>
				</table>
                </td>
              <td width="20"><div style="width:20px"></div></td>
            </tr>
          </table>
<!-- END LOGO -->
		  </td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td><img src="images/00_15.jpg" width="229" height="40" alt="" /></td>
      <td width="112"><img src="images/00_16.jpg" width="112" height="40" alt="" /></td>
      <td align="left" background="images/00_18.jpg"><img src="images/00_17.jpg" width="361" height="40" alt="" /></td>
    </tr>
    <tr>
      <td valign="top" background="images/00_18.jpg">
	  <table width="100%" height="366"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="366" align="center" valign="top" style="background-image: url(images/00_19.jpg);
	background-repeat: no-repeat;
	background-position: left top; ">
<br/><br/>
<!-- SUBMENU -->
	<table width="180" border="0" cellspacing="0" cellpadding="0">
       <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>  
    </table>
<!-- END SUBMENU -->
		  </td>
        </tr>
      </table>
	  </td>
      <td width="112" valign="top" background="images/00_18.jpg"><img src="images/00_20.jpg" width="112" height="217" alt="" /></td>
      <td width="100%" height="100%" align="right" valign="top" background="images/00_18.jpg"  style="padding: 10px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/00_23.jpg" width="22" height="17" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:5px;"><span></span></div>
	   		<table width="100%" height="100%">
	    <tr><td width="100%" height="100%" class="pageContent" name="SB_stretch" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	    </tr></table>
	  <!-- END CONTENT --></td>
    </tr>
    <tr>
      <td>
<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
	  </td>
      <td></td>
      <td height="60">
<!-- BOOTTOM MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
      </table>
<!-- END BOOTTOM MENU -->
	  </td>
    </tr>
  </table>

</center>

	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
              <td width="151" height="28" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td width="19"><img src="images/00_28.jpg" width="20" height="19" alt="" /></td>
  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		  <tr>
              <td height="28" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              <td><img src="images/00_36.jpg" width="20" height="19" alt="" /></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		 <tr >
            <td colspan="2" background="images/00_32.jpg"><img src="images/00_32.jpg" width="163" height="4" alt="" /></td>
         </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	  <td width="30" align="center">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
