<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-26 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body bgcolor="#ffffff" text="#5c5c5c" link="#336699" alink="#336699" vlink="#336699" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td class="all">
        <table border="0" cellspacing="0" cellpadding="0" width="780" height="100%" bgcolor="White">
        <tr height="76" valign="top">
         <td width="236" height="76" rowspan="2" align="center" valign="middle"  class="top_bg" style="background-image: url('images/logobg.gif'); background-position: bottom right; background-repeat: no-repeat;">

        <a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" style="margin-bottom:10px;" /></a><br />
        <span style="color:#ffffff; font-size:16pt; font-family:Times;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span><br />
        <span style="color:#ffffff; font-size:8pt; font-family:Tahoma;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span>

         </td>
         <td width="544" height="76" valign="middle" class="top_bg_color">

	   		<!-- MENU -->

    			<!-- CALL MAIN-MENU-->
    			<xsl:call-template name="TOP-MENU"/>

   			<!-- END MENU -->

         </td>
        </tr>
        <tr height="120">
         <td bgcolor="#99c56e"><img src="images/visual1.jpg" border="0" alt="" width="544" height="120"/></td>
        </tr>
        <tr height="46">
         <td bgcolor="#2b79b7"><img src="images/menutop.gif" border="0" width="236" height="46" alt="" /></td>
         <td bgcolor="#99c56e"><img src="images/visual2.jpg" width="544" height="46" border="0" alt=""/></td>
        </tr>
        <tr height="100%" valign="top">
         <td>
          <table border="0" cellspacing="0" cellpadding="0" width="236">
          <tr>
           <td style="background-color:  #2b79b7; background-image:url('images/menubg.gif'); background-position:  top left; background-repeat: repeat-y;">
            <table border="0" cellspacing="0" cellpadding="0" width="100%">
            <tr>
             <td style="background-image:url('images/menutopright.gif'); background-position: top right; background-repeat: no-repeat; padding:10px 0px 20px 30px;" height="100" valign="top">

                <table border="0" cellspacing="0" cellpadding="0" style="width: 161px; height: 120px;">
   				<!-- CALL SUB-MENU-->
	   				<xsl:call-template name="SUB-MENU">
	   					<xsl:with-param name="pageID" select="@ID"/>
	   				</xsl:call-template>
  					<tr><td height="100%"></td></tr>
  				</table>

             </td>
            </tr>
            </table>
           </td>
          </tr>
          <tr><td bgcolor="#2b79b7"><img src="images/menubottom.gif" border="0" width="236" height="116" alt="" /></td></tr>
          </table>
         </td>
         <td>
          <table border="0" cellspacing="0" cellpadding="0" width="544">
          <tr>
		  	<td bgcolor="#99c56e"><img src="images/visual3.jpg" width="544" height="54" border="0" alt=""/></td>
		  </tr>
          <tr><td style="background-image:url('images/textright.gif'); background-position: top right; background-repeat: no-repeat; padding:40px 160px 70px 50px;">
           <table border="0" cellspacing="0" cellpadding="0" width="334"><tr><td class="pageContent">

	        <div style="text-indent:-15px; font-size:12pt; font-weight:bold;margin-left:15px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
	        <table border="0" cellspacing="0" cellpadding="0">
	        <tr><td width="330" class="pageContent">

				<xsl:apply-templates select="PAGE-CONTENT"/>

			</td></tr>
			</table>

           </td></tr></table>
          </td></tr>
          </table>
         </td>
        </tr>
        <tr>
         <td align="center" style="padding:30px; font-family:Tahoma,Arial; font-size:8pt; color:#404040;">
	
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>

         </td>
         <td style="padding:30px 30px 30px 50px; color:#999999; font-family:Tahoma,Arial; font-size:8pt;">

 			<!--CALL BOTTOM-MENU -->
   			<xsl:call-template name="BOTTOM-MENU"/>

         </td>
        </tr>
        </table>
		</td></tr></table>
        </body>
		</html>

	</xsl:template>


	<!--TOP-MENU-->

   				
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>
  
  					
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				  <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			        <a href="{@HREF}" class="bottommenuitemactive" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
			        <a href="{@HREF}" class="bottommenuitem" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
				&#160;|&#160;
			</xsl:if>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
