<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-27 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" class="main-bg"><TR><TD align="center">
        <TABLE WIDTH="692" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0">
          	<TR>
          		<TD colspan="2" style="background-image: url('images/tbg.gif'); background-repeat: repeat-y;" height="58">
          			<!-- MENU -->
          			<!-- CALL TOP-MENU -->
          			<xsl:call-template name="TOP-MENU"/>
          		<!-- END MENU -->
          		</TD>
          	</TR>
          	<TR>
          		<TD colspan="2" width="692" height="256" valign="top" style="background-image: url('images/header.jpg');">		
          		<!-- LOGO -->
          			<table cellpadding="0" cellspacing="0" style="margin-top: 30px;" align="center">
          				<tr>
          					<td><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
          					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>					
          				</tr>
          				<tr>
          					<td></td>
          					<td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          				</tr>
          			</table>
          		<!-- END LOGO -->
          		</TD>
          	</TR>
        	<TR>
        		<TD valign="top" width="270" height="100%">
        		<!-- SUBMENU -->
        		<table cellpadding="0" cellspacing="0" height="100%" width="270" border="0">
        			<tr>
        				<td width="42" style="background-image: url('images/submenu_lbg.gif'); background-position: top right; background-repeat: no-repeat;"><div style="width:42px; height:1px;"><spacer type="block" width="42" height="1"/></div></td>
        				<td width="228" valign="top">
        					<table cellpadding="0" cellspacing="0" width="228" bgcolor="#ACCE1B" border="0" height="100">
        						<tr>
        							<td valign="top">

                        				<!-- CALL SUB-MENU-->
                        				<xsl:call-template name="SUB-MENU">
                        					<xsl:with-param name="pageID" select="@ID"/>
                        				</xsl:call-template>

        							</td>
        						</tr>						
        					</table>
        					<img src="images/submenu_bbg.gif" border="0"/>
        				</td>
        			</tr>
        		</table>
        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="422" height="100%">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" style="margin-top: 22px;" align="center" width="320">
        				<tr><td align="right" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>					
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td align="right" class="text">
								
								<xsl:apply-templates select="PAGE-CONTENT"/>

        					</td>
        				</tr>
        				<tr><td height="15"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="692" height="54">
        		<!-- BOTTOM MENU -->
        			<table cellpadding="0" cellspacing="0" width="100%" height="54" border="0">
        				<tr>
        					<td valign="top">

            					<!--CALL BOTTOM-MENU -->
            					<xsl:call-template name="BOTTOM-MENU"/>

        					</td>
        					<td style="padding: 0px 53px 0px 10px;" class="footer" align="right" valign="top"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
        				</tr>
        			</table>
        		<!-- END BOOTTOM MENU -->
        		</TD>
        	</TR>
        </TABLE>
        </TD></TR></TABLE>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin: 5px;" align="center">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   				<td width="40"></td>
   			</tr>
   		</table>
	</xsl:template>
  

   					
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="160" align="center">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
   				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="160" align="center">
				   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
   				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>



	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin-left: 53px;">
   			<tr>
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
   				<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
   				<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
		<xsl:if test="position()!=last()">
   			<td width="10"></td>
   			<td><img src="images/bmenu_separator.gif" border="0"/></td>								
   			<td width="10"></td>
   		</xsl:if>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
