<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- eug-28 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#ffffff">
    <div align="center">
    <tr>
      <td height="100%" valign="top">
	  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
        <tr align="left" valign="top">
          <td height="60" colspan="2"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="280" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td rowspan="3" valign="top"><img src="images/space.gif" width="30" height="8"/><br/></td>
                  <td rowspan="3" valign="middle" align="right"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  <td><img src="images/space.gif" width="20" height="20"/></td>
                </tr>
                <tr>
                  <td align="left" class="company" style="padding-left:6px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                </tr>
                <tr>
                  <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                </tr>
              </table></td>
              <td align="center" valign="middle">
			  <table border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="10"></td>
                  <xsl:call-template name="TOP-MENU"/>
                  <td width="10"></td>
                </tr>
              </table></td>
            </tr>
          </table></td>
        </tr>
        <tr align="left" valign="top">
          <td colspan="2" background="images/headers_bg.jpg">
		  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td align="left" valign="top"><img src="images/header.jpg" width="780" height="206"/></td>
            </tr>
          </table></td>
        </tr>
        <tr align="left" valign="top">
          <td height="100%" style="background-image: url(images/header3.jpg);background-repeat: repeat-x;background-position: left top;">
		  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td height="98" style="background-image: url(images/header2.jpg);background-repeat: no-repeat;background-position: left top;"><img width="1" height="1"/></td>
            </tr>
            <tr>
              <td><img src="images/space.gif" width="10" height="15"/></td>
            </tr>
            <tr>
              <td height="100%" align="left" valign="top">
                <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                    <tr>
                        <td>
            			  <table cellpadding="0" cellspacing="0" border="0" class="pageContent">
                            <tr>
                              <td class="text-header" style="padding-top:4px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                              <td class="icon"><img src="images/icon_main.gif" width="17" height="17"/></td>
                            </tr>
                          </table>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" height="100%" class="pageContent" name="SB_stretch" style="padding-top: 15px;">
	                        <xsl:apply-templates select="PAGE-CONTENT"/>
                        </td>
                    </tr>
                </table> 
			  </td>
            </tr>
          </table>
            <img src="images/space.gif" width="550" height="10"/></td>
        <td height="100%" style="background-image: url(images/header3.jpg);background-repeat: repeat-x;background-position: left top;"><div align="right">
          <table width="229" border="0" cellpadding="0" cellspacing="0" background="images/sbmenu2.jpg">
            <tr>
              <td height="150" valign="top" style="background-image: url(images/sbmenu1.jpg);background-repeat: no-repeat;background-position: left top;">
			  <table width="70%" border="0" align="center" cellpadding="0" cellspacing="0">
			   <tr>
                  <td style="height :22px;"><img src="images/space.gif" width="10" height="22"/></td>
                  <td></td>
                </tr>
                <xsl:call-template name="SUB-MENU">
                <xsl:with-param name="pageID" select="@ID"/>
                </xsl:call-template>
              </table></td>
            </tr>
            <tr>
              <td><img src="images/sbmenu3.jpg" width="229" height="48"/></td>
            </tr>
          </table>
          </div></td>
        </tr>
        <tr>
          <td height="10" colspan="2"></td>
          </tr>
        <tr bgcolor="#FAFAFA">
          <td height="15" colspan="2" bgcolor="#FAFAFA"></td>
        </tr>
        <tr bgcolor="#FAFAFA">
          <td height="50" align="center" valign="top">
		  <table border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td><img src="images/space.gif" width="10" height="10"/></td>
              <xsl:call-template name="BOTTOM-MENU"/>
              <td bgcolor="#ffffff"></td>
            </tr>
          </table></td>
        <td align="right" valign="top"><table width="229" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
        </tr>
      </table></td>
    </tr>
</div></table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
                  <td><span class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                  <td><img src="images/icon_sbmenu2.gif" width="8" height="7"/></td>
                </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
                  <td><a href="{@HREF}" class="smenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  <td><img src="images/icon_sbmenu.gif" width="8" height="7"/></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	        <tr>
                  <td height="14" colspan="2"></td>
            </tr>
            <tr>
                  <td height="2" colspan="2" background="images/line_sbmenu.gif"></td>
            </tr>
	        <tr>
                  <td height="14" colspan="2"></td>
            </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	       <td><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td width="10"></td>
		<td width="1" background="images/line_bmenu.gif"><img src="images/line_bmenu.gif" width="1" height="1"/></td>
		<td width="10"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
