<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-36 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" bgcolor="White" class="alltable">
        <tr height="79">
        <td colspan="2" class="menu" style="background-image: url('images/menu_bgrpt.gif'); background-repeat: repeat-x;">
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
        	<tr>
        	<td style="padding-left:33px;">
        		<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
        	</td>
        	<td style="padding: 0 5px;">
        		<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
        		<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        	</td>
        	<td style="padding-left:5px;">
				<!-- MENU -->

           			<!-- CALL MAIN-MENU-->
           			<xsl:call-template name="TOP-MENU"/>

  				<!-- END MENU -->

        	</td>
        	</tr>
        	</table>
        </td>
        </tr>
        <tr height="100%">
        <td style="background-image:url(images/header.jpg); background-repeat: no-repeat;">
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
        	<tr>
        	<td width="100%" class="thatext" valign="top" style="padding:297px 0px 69px 150px;">
        		<h2><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></h2>
        		<table cellpadding="0" cellspacing="0" border="0">
        			<tr><td width="400" class="thatext">
		        		<xsl:apply-templates select="PAGE-CONTENT"/>
        			</td></tr>
        		</table>
        	</td>
        	<td>
        		<div style="width:268px; height:0px;"><spacer/></div>
        		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
        		<tr>
        		<td style="padding:303px 67px 69px 41px;" valign="top">

            		<!-- SUBMENU -->

           				<!-- CALL SUB-MENU-->
           				<xsl:call-template name="SUB-MENU">
           					<xsl:with-param name="pageID" select="@ID"/>
           				</xsl:call-template>

            		<!-- END SUBMENU -->

        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	<tr height="73">
        	<td class="bottommenu">
   				<!--CALL BOTTOM-MENU -->
				<table cellpadding="0" cellspacing="0" border="0" align="right" style="padding-left: 20px;">
					<tr>
						<xsl:call-template name="BOTTOM-MENU"/>
					</tr>
				</table>	
        	</td>
        	<td class="copy" style="padding:0px 67px 0px 46px;">
        		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        	</td>
        	</tr>
        	</table>	
        </td>
        </tr>
        </table>
		</td></tr></table>
        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				
   				
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
   				
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td class="bottommenu"><a href="{@HREF}" id="abmenu"><b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td class="bottommenu"><a href="{@HREF}" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td class="bottommenu" style="padding: 0px 5px 0px 5px;">|</td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
