<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- eug-37 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
  <table border="0" cellpadding="0" cellspacing="0" background="images/page_bj.gif" style="width: 100%; height: 100%;">
    <tr>
      <td height="55" align="left" valign="top">
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="55" valign="middle">
              <div align="center">
                <table  border="0" align="left" cellpadding="0" cellspacing="0">
                  <tr>
                    <td style="width:30px"></td>
                      <xsl:call-template name="TOP-MENU"/>
                    <td style="width:10px"></td>
                  </tr>
                </table>
              </div>
            </td>
            <td width="180" class="http">
              <div align="right"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></div>
            </td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td height="200" align="left" valign="top">
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="593" align="left" valign="top"><img src="images/header1.gif" width="593" height="245"/></td>
              <td align="right"  background="images/header2.gif" style="padding-right:30px;">
                <table  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td valign="top" style="padding-right:3px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                        <td valign="top">
                            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td class="company">
                                    <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                                </td>
                              </tr>
                              <tr>
                                <td class="slogan">
                                    <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                                </td>
                              </tr>
                            </table>
                        </td>
                    </tr>
                </table>
              </td>
            </tr>
          </table>
      </td>
    </tr>
    <tr>
      <td align="left" valign="top"  width="100%" height="100%">
          <table  width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                  <td width="200" align="left" valign="top"><img src="images/space.gif" width="200" height="10"/>
  		            <table width="180" border="0" align="right" cellpadding="0" cellspacing="0">
                        <xsl:call-template name="SUB-MENU">
                        <xsl:with-param name="pageID" select="@ID"/>
                        </xsl:call-template>
                      </table>
                  </td>
                  <td width="152" align="left" valign="top" style="background-image: url(images/header3.gif);background-repeat: no-repeat;background-position: left top;"><img src="images/space.gif" width="152" height="105"/></td>
                  <td align="left" valign="top"  width="100%" height="100%" ><img src="images/space.gif" width="428" height="38"/>
  		            <table cellpadding="0" cellspacing="0" border="0" class="pageContent">
                        <tr>
                          <td  class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                          <td class="icon"><img src="images/main_icon.gif" width="17" height="17"/></td>
                        </tr>
                      </table><br/>
                      <table border="0" cellspacing="0" cellpadding="0"  width="100%">
                          <tr>
                              <td  width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"  >
                                  <xsl:apply-templates select="PAGE-CONTENT"/>
                              </td>
                          </tr>
                      </table>
  		        </td>
              </tr>
          </table>
      </td>
    </tr>
    <tr>
      <td height="60" align="left" valign="top">
          <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                  <td align="left" valign="top">
                      <table width="200"  border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                        </tr>
                      </table>
                  </td>
                  <td><div style="width:152px; height:0px;"><span></span></div></td>
                  <td width="100%">
                      <table border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr>
                              <xsl:call-template name="BOTTOM-MENU"/>
                          </tr>
                      </table>
                  </td>
              </tr>
          </table>
      </td>
    </tr>
  </table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
                  <td class="smenu"><span class="smenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                  <td class="iconleft"><img src="images/icon_left2.gif" width="12" height="11"/></td>
                </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
                  <td class="smenu"><a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  <td class="iconleft"><img src="images/icon_left1.gif" width="12" height="11"/></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
            <tr>
                <td height="2" colspan="2" background="images/line_left.gif"></td>
              </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	       <td ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   <td ><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
		<td bgcolor="#FFFFFF"><div style="width:1px; height:1px;"><span></span></div></td>
		<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
