<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-39 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" style="background-image: url('images/bg.gif'); background-repeat: repeat-y;">
        <TR><TD style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
        	<TR>
        		<TD colspan="2" width="780" height="100" valign="top">
        		<!-- MENU -->

          			<!-- CALL MAIN-MENU-->
          			<xsl:call-template name="TOP-MENU"/>

        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="202" valign="top">
        		<!-- LOGO -->
        			<table cellpadding="0" cellspacing="0" align="right" style="margin: 50px 50px 0px 0px;">
        				<tr><td><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
        				<tr><td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
        				<tr><td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
        			</table>
        		<!-- END LOGO -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="450" height="100%" align="right">
        		<!-- CONTENT -->			
        			<table cellpadding="0" cellspacing="0" width="300" align="right" style="margin-right: 20px;">
        				<tr><td height="70"></td></tr>
        				<tr><td class="text-header" align="right"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td class="text" width="300" align="right">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        				<tr><td height="20"></td></tr>
        			</table> 
        		<!-- END CONTENT -->
        		</TD>
        		<TD valign="top" width="330" height="100%">
        		<!-- SUBMENU -->
        			<table cellpadding="0" cellspacing="0" height="210" width="227" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
        			 	<tr>
        					<td valign="top">

                   				<!-- CALL SUB-MENU-->
                   				<xsl:call-template name="SUB-MENU">
                   					<xsl:with-param name="pageID" select="@ID"/>
                   				</xsl:call-template>

        					</td>
        				</tr>
        				<tr><td height="10" class="submenu-bbg"></td></tr>
        			 </table>
        		<!-- END SUBMENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="40" valign="top">
        		<!-- BOTTOM MENU -->		
        			<table cellpadding="0" cellspacing="0" width="100%">
        				<tr>
        					<td valign="top">

               					<!--CALL BOTTOM-MENU -->
               					<xsl:call-template name="BOTTOM-MENU"/>

        						<!-- END BOOTTOM MENU -->						
        					</td>
        					<td class="footer" valign="top" align="right" style="padding-right: 110px;">
        					<!-- FOOTER -->
        						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        					<!-- END FOOTER -->					
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        </TABLE>
        </TD></TR></TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" height="100">
			<tr><td height="30%"></td></tr>
			<tr>
				<td>
					<table cellpadding="0" cellspacing="0" align="center">
			   			<tr>
			   				<td width="30"></td>
							<xsl:apply-templates select="MENU" mode="top"/>			
			   			</tr>
			   		</table>
				</td>
			</tr>
			<tr><td height="70%"></td></tr>
		</table>
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="160" style="margin-left: 30px;">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
        		</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="160" style="margin-left: 30px;">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
        		</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				

	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin-left: 100px;">
   			<tr>
   				<td width="10"></td>
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
   				<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
   				<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
   		<xsl:if test="position()!=last()">
   			<td width="10"></td>
   			<td><img src="images/bmenu_separator.gif"/></td>
   			<td width="10"></td>
   		</xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
